unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw, HTTPApp, HTTPProd;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure WebBrowser1TitleChange(Sender: TObject;
      const Text: WideString);
    procedure PageProducer1HTMLTag(Sender: TObject; Tag: TTag;
      const TagString: String; TagParams: TStrings;
      var ReplaceText: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  inpu_para:string;
  function reportcreate(url:string):string;
  function getres(nam:string):string;

implementation

uses HTMLReportExeProtocol;

{$R *.dfm}
{$R HTMLR.res}

function getres(nam:string):string;
var hand:HGLOBAL;
    hr :HRSRC;
    content :Pchar;
begin
  hand :=0;
  hr :=Findresource(hInstance, Pchar(nam), '#23');
  hand :=LoadResource(0,hr);
  content :=LockResource(hand);
  result:=content;
end;

function reportcreate(url:string):string;
var PageProducer:TPageProducer;
begin
  if uppercase(url)='HOME' then
  begin
     result:=getres(url);
  end else
     if length(url)>14 then
     begin
        inpu_para:=copy(url,15,length(url)-14);
        PageProducer:=TPageProducer.Create(nil);
        PageProducer.OnHTMLTag:=Form1.PageProducer1HTMLTag;
        PageProducer.HTMLDoc.Text:=getres('login');
        result:=PageProducer.Content;
        PageProducer.Free;
     end else
        result:=getres('err');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   RegisterHTMLReportProtocol;
   WebBrowser1.Navigate('HTMLReport:Home');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   UnRegisterHTMLReportProtocol;
end;

procedure TForm1.WebBrowser1TitleChange(Sender: TObject;
  const Text: WideString);
begin
   self.Caption:=text;
end;

procedure TForm1.PageProducer1HTMLTag(Sender: TObject; Tag: TTag;
  const TagString: String; TagParams: TStrings; var ReplaceText: String);
begin
   if TagString='user_no' then
      ReplaceText:=inpu_para;
end;

end.
